OpenJPEG 2.5.2

Functions
ihdrbox_manager.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <assert.h>`
`#include "ihdrbox_manager.h"`

## Functions
ihdrbox_param_t * | gene_ihdrbox (metadatalist_param_t *metadatalist, Byte_t *jpipstream)
| generate ihdr box

## Function Documentation

## ◆ gene_ihdrbox()

ihdrbox_param_t * gene_ihdrbox | ( | metadatalist_param_t * | metadatalist,
|  | Byte_t * | jpipstream )

generate ihdr box

Parameters

  [in] | metadatalist | metadata list pointer
  [in] | jpipstream | JPT/JPP stream

Returns
  pointer to generated ihdr box

References big2(), big4(), metadata_param::boxlist, ihdrbox_param::bpc, metadatalist_param::first, gene_boxbyTypeinStream(), get_DBoxlen(), get_DBoxoff(), ihdrbox_param::height, ihdrbox_param::nc, metadata_param::next, search_box(), and ihdrbox_param::width.

Referenced by decode_jpip().